Get a person's profile
curl --request POST \
--url https://api.stophy.dev/v1/linkedin/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profile": "satyanadella"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile: 'satyanadella'})
};
fetch('https://api.stophy.dev/v1/linkedin/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/linkedin/profile"
payload = { "profile": "satyanadella" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"profile": {
"url": "<string>",
"isAboutTruncated": true,
"id": "<string>",
"name": "<string>",
"headline": "<string>",
"location": "<string>",
"about": "<string>",
"followers": 0,
"roles": [
{
"isCurrent": true,
"title": "<string>",
"company": "<string>",
"url": "<string>",
"from": "<string>",
"to": "<string>"
}
],
"education": [
{
"school": "<string>",
"degree": "<string>",
"url": "<string>",
"from": "<string>",
"to": "<string>"
}
]
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}LinkedIn
LinkedIn profile API
Call the LinkedIn profile API to get name, headline, location, about, is about truncated and followers, as JSON or markdown. 1 credit.
POST
/
v1
/
linkedin
/
profile
Get a person's profile
curl --request POST \
--url https://api.stophy.dev/v1/linkedin/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profile": "satyanadella"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile: 'satyanadella'})
};
fetch('https://api.stophy.dev/v1/linkedin/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/linkedin/profile"
payload = { "profile": "satyanadella" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"profile": {
"url": "<string>",
"isAboutTruncated": true,
"id": "<string>",
"name": "<string>",
"headline": "<string>",
"location": "<string>",
"about": "<string>",
"followers": 0,
"roles": [
{
"isCurrent": true,
"title": "<string>",
"company": "<string>",
"url": "<string>",
"from": "<string>",
"to": "<string>"
}
],
"education": [
{
"school": "<string>",
"degree": "<string>",
"url": "<string>",
"from": "<string>",
"to": "<string>"
}
]
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
linkedin.profile - Returns:
datahasprofile. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.linkedin.profile({ profile: "satyanadella" });
console.log(result.data.profile);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.linkedin.profile(profile="satyanadella")
print(result["data"]["profile"])
curl -X POST https://api.stophy.dev/v1/linkedin/profile \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"profile":"satyanadella"}'
stophy linkedin profile satyanadella
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json